Subject: Re: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Aaron Jensen <[email-masked]>
Date: Thu, 8 Nov 2018 08:28:03 -0800

On November 8, 2018 at 8:17:21 AM, Alan Third
([email-masked](mailto:[email-masked])) wrote:

> If I could suppress the clearing action that would solve the problem.
>
> If expose_frame could draw the rectangle as it was before the
> frame/window was marked garbaged, that would also solve the problem.
>
> I don’t believe the former is possible, and I don’t know if the latter
> is possible.

I’m only partially following this now, so I’m sorry if this idea
doesn’t make sense—but if there’s a spot where the repaint actually
happens, could you dirty the rects right before the repaint. In other
words, queue into a queue the rect dirtying in all the places it
happens and only actually process the dirty queue once you know you
can paint.

Aaron